package com.ruoyi.member.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.common.core.domain.DlBaseEntity;
import com.ruoyi.member.domain.MemberAddress;
import com.ruoyi.member.mapper.MemberAddressMapper;
import com.ruoyi.member.service.IMemberAddressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 博主收货地址Service业务层处理
 * 
 * @author pqz
 * @date 2025-03-17
 */
@Service
public class MemberAddressServiceImpl extends ServiceImpl<MemberAddressMapper,MemberAddress>  implements IMemberAddressService
{
    @Autowired
    private MemberAddressMapper memberAddressMapper;


    /**
     * 根据用户id查询
     *
     * @param userId 用户id
     * @return java.util.List<com.ruoyi.member.domain.MemberAddress>
     * @author PQZ
     * @date 10:40 2025/3/29
     **/
    @Override
    public List<MemberAddress> listByUserId(Long userId) {
        LambdaQueryWrapper<MemberAddress> lambdaQueryWrapper = new LambdaQueryWrapper<>();
        lambdaQueryWrapper.eq(DlBaseEntity::getDelFlag,0).eq(MemberAddress::getUserId,userId);
        return list(lambdaQueryWrapper);
    }
}
